<?php
require_once"../../template/start.php";
require_once"../../template/regglobals.php";
require_once"../../template/config.php";
require_once"../../template/functions.php";
require_once"../../template/antidos.php";
require_once"../../template/cookies.php";
require_once"../../template/gzip.php";
require_once"../../template/header.php";
require_once"../../template/referer.php";
include_once"../../themes/$config_themes/index.php";
include_once"../../template/isset.php";

include "func.inc";
include "conf.inc";

//////////////////////////////////////////////////////////////////////////////////////
$text = @file("../../local/profil/$log.prof");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);}

//////////////////////////////////////////////////////////////

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101){
echo "</div><div class=b>Импорт файлов</div><div>";
	if(!isset($did)){echo "Не выбрана директория для загрузки <br>
[<a href='../index.php?did='>К загрузкам</a>]<br>
[<a href='../../index.php'>На главную</a>]";}
	else {
	if (isset($import)){
		$url=trim($url);
        $too1=trim($too);
        $import = str_replace($too1,"../files$did/".$too1,$too1);
    if(!file_exists($import)){
     $im = copy($url,$import);
	 if($im == false){$im = 'error';}
     if($im == true){echo "Импорт прошел успешно <br><center>
     [<a href='import.php?did=$did&SID=$SID'>Еще раз</a>]<br>
[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php&SID=$SID'>На главную</a>]<br /></center>";
     }
     else echo "Импорт не удался <br><center>
     [<a href='import.php?did=$did&SID=$SID'>Еще раз</a>]<br>
[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php?SID=$SID'>На главную</a>]<br /></center>";
    }
    else echo "Файл с таким именем уже существует <br><center>
[<a href='import.php?SID=$SID'>Еще раз</a>]<br>
[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php?SID=$SID'>На главную</a>]<br /></center>";

if ($opis != ""){
if($im == true){
$opis=check($opis);
$opis=preg_replace ("|[\r\n]+|si","<br>",$opis);
$opis=str_replace(" ","<br>",$opis);
$opis=str_replace("§","<br>",$opis);
$opis = antimat($opis);
$opis = smiles($opis);

$opis="$opis";
$f=fopen("../files$did/$too.txt","w");
fputs($f,$opis);
fclose($f);

echo "Описание создано<br><br>";}}else {
	echo "Вы не добавили описание,
	Пожалуйста сделайте это позднее!";}
if($im == true){
$imya=check_fulls($imya);
$upltime = time();
$ex = pathinfo("../files$did/$too");
$ex = $ex[extension];
$rr = str_replace(".".$ex,"",$too);
$size = filesize("../files$did/$too");
$dik=str_replace("/", "", $did);
$fn=@file("../baze/$dik.baz");
$count = count($fn)+1;
$fp=fopen("../baze/$dik.baz","a+");
flock ($fp,LOCK_EX);
	$zap = "$count|0|0|0|$log||$upltime|$size|$imya|$rr|$ex|$did/$too1|\r\n";
	fputs($fp,"$zap");
	fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);}
	
}
else {
		echo"<form action=\"import.php?import&did=$did&SID=$SID\" method=\"post\">
		Введите URL:<br><input type=\"text\" name=\"url\" value=\"http://\"> <br>
		Сохранить как: /пишем только имя файла без папки/<br><input type=\"text\" name=\"too\" value=\"\"><br><br>
		Описание файла: /не обязательно/<br>
		<textarea name=\"opis\" cols=50 rows=10></textarea><br>
		Название Файла для отображения:<br>
		<input type=\"text\" name=\"imya\"><br>
		<input type=\"submit\" value=\"Импортировать\"></form>";
		echo "<br><br>
[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php?SID=$SID'>На главную</a>]";
	}
	}
} else { echo "Ипать колотить!!! Смотрите у нас Хакир завелся!";}}
include_once"../../themes/$config_themes/foot.php";
?>